---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci status`

View a running CI/CD pipeline on current or other branch specified

```plaintext
glab ci status [flags]
```

## Aliases

```plaintext
stats
```

## Examples

```plaintext
glab ci status --live
glab ci status --compact // more compact view
glab ci status --branch=master   // Get pipeline for master branch
glab ci status   // Get pipeline for current branch

```

## Options

```plaintext
  -b, --branch string   Check pipeline status for a branch. (Default is current branch)
  -c, --compact         Show status in compact format
  -l, --live            Show status in real-time till pipeline ends
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
